<?php
namespace Claromentis\Search\ItemType;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array();
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Search\Indexing\Client\ClientInterface;
use Claromentis\Search\GlobalSearchItemInterface;




class Document implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\Document();
    }
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_6905a4a1c788ec5cb2cfea8ca6e4043e = new \Claromentis\Search\Permissions();
        $_c8ba0a70fbe4e78e8e79bae73b35a132 = $_6905a4a1c788ec5cb2cfea8ca6e4043e->GetSearchFilter($context, Indexing\Document::FIELD_NAME_PERMS);
        return $_c8ba0a70fbe4e78e8e79bae73b35a132;
    }
    
    
    
    
    public function GetView()
    {
        return new View\Document();
    }
}